"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.injectStyle = exports.canUseDom = void 0;
var _window, _window$document;
// 当前运行环境是否可以使用 dom
var canUseDom = typeof window !== 'undefined' && typeof document !== 'undefined' && ((_window = window) === null || _window === void 0 ? void 0 : _window.document) && ((_window$document = window.document) === null || _window$document === void 0 ? void 0 : _window$document.createElement);
// 插入样式节点缓存
exports.canUseDom = canUseDom;
var styleNodeCache = {};
// 插入样式
var injectStyle = function injectStyle(css, key) {
  var _options$csp2;
  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
  if (!canUseDom) {
    return null;
  }
  if (styleNodeCache[key]) {
    var _options$csp;
    if (((_options$csp = options.csp) === null || _options$csp === void 0 ? void 0 : _options$csp.nonce) && styleNodeCache[key].nonce !== options.csp.nonce) {
      styleNodeCache[key].nonce = options.csp.nonce;
    }
    if (styleNodeCache[key].innerHTML !== css) {
      styleNodeCache[key].innerHTML = css;
    }
    return styleNodeCache[key];
  }
  var container = document.querySelector('head') || document.body;
  var styleNode = document.createElement('style');
  styleNode.innerHTML = css;
  if ((_options$csp2 = options.csp) === null || _options$csp2 === void 0 ? void 0 : _options$csp2.nonce) {
    styleNode.nonce = options.csp.nonce;
  }
  if (container.prepend) {
    container.prepend(styleNode);
  } else if (container.firstChild) {
    // IE not support `prepend`
    container.insertBefore(styleNode, container.firstChild);
  } else {
    container.appendChild(styleNode);
  }
  styleNodeCache[key] = styleNode;
  return styleNode;
};
exports.injectStyle = injectStyle;